% FPBP2 22-May-2019 

% This is Stage 2. All it does is to translate outputs from FPBP1 (Stage 
%       1) in to mat files and plots that are in the "standard" format
%       of all 18 sources, so they all can be merged.

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

readme = 'ddn = daily datenum; TNload [lb/y]; TNconc [mg/l]; Qflow [MGD]';

%% FIELDS POINT
% load the data
load([indir infil],'FieldsPoint');
dat = FieldsPoint;
clear FieldsPoint;

% reconfigure the data in the standard format and save it
ddn = dat.dn.daily;
Qflow = dat.flow.interp/0.04381; % convert m3/s to MGD
TNconc = dat.conc.daily*1000; % convert ug/L to mg/L
TNload = dat.load.daily; % already in lb yr-1
clear dat;

save dat/FieldsPoint readme ddn Qflow TNconc TNload;

% make the plot
makeplot('FieldsPoint',ddn,TNload,TNconc,Qflow)

clear ddn TNload TNconc Qflow;

%% BUCKLIN POINT
% load the data
load([indir infil],'BucklinPoint');
dat = BucklinPoint;
clear BucklinPoint;

% reconfigure the data in the standard format and save it
ddn = dat.dn.daily;
Qflow = dat.flow.daily/0.04381; % convert m3/s to MGD
TNconc = dat.conc.daily*1000; % convert ug/L to mg/L
TNload = dat.load.daily; % already in lb yr-1
clear dat;

save dat/BucklinPoint readme ddn Qflow TNconc TNload;

% make the plot
makeplot('BucklinPoint',ddn,TNload,TNconc,Qflow)

clear ddn TNload TNconc Qflow;



% end of module
diary off;